.woocommerce-order {
  color: var(--primary-color);
}
.woocommerce-order > h1 {
  font-family: var(--wide);
  letter-spacing: -2px;
  font-weight: 700;
  font-size: 2.8rem;
  text-transform: uppercase;
  line-height: 1.5;
  text-align: center;
  padding: 50px var(--p-h);
  border-top: 1px solid var(--border-color);
  border-bottom: 1px solid var(--border-color);
}

@media (width < 600px) {
  .woocommerce-order > h1 {
    font-size: var(--header);
  }
}

.order_details__items {
  display: flex;
  flex-direction: column;
  border: 1px solid var(--border-color);
  margin: 0;
  padding: 0;
}

.order_details__items .order_details__item {
  display: grid;
  grid-template-columns: max(150px, 25%) 1fr;
  align-items: center;
  border-bottom: 1px solid var(--border-color);
}

.order_details__items .order_details__item p {
  padding: 10px;
  font-size: var(--lx);
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
@media (width < 600px) {
  .order_details__items .order_details__item p {
    font-size: var(--m);
  }
}
.order_details__items .order_details__item p:first-of-type {
  border-right: 1px solid var(--border-color);
  font-size: var(--m);
  font-family: var(--wide);
  font-weight: 700;
  height: 40px;
  justify-content: flex-start;
}

@media (width < 600px) {
  .order_details__items .order_details__item p:first-of-type {
    font-size: var(--s);
  }
}
.order_details__items .order_details__item:last-of-type {
  border: none;
}

.order_details__content {
  padding: var(--p-h);
}

.order_address {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-top: 50px;
  border: 1px solid var(--border-color);
  gap: 20px;
}

@media (width < 600px) {
  .order_address {
    gap: 0;
    grid-template-columns: 1fr;
  }
}
.order_address > div {
  padding: 10px;
}

.order_address > div:first-of-type {
  border-right: 1px solid var(--border-color);
  @media (width < 600px) {
    border: none;
    border-bottom: 1px solid var(--border-color);
  }
}

.order_address h3 {
  font-size: var(--l);
  font-family: var(--wide);
  font-weight: 700;
  margin-bottom: 15px;
}
.order_address address {
  font-size: var(--l);
}

@media (width < 600px) {
  .order_address address {
    font-size: var(--m);
  }
}

.thank-backward a {
  padding: 15px;
  background: var(--primary-color);
  border: none;
  cursor: pointer;
  font-size: var(--s);
  color: var(--dark-color);
  text-transform: uppercase;
  font-weight: 700;
  margin-top: 30px;
  font-family: var(--extend);
  display: block;
  align-items: center;
  margin: 50px auto;
  text-align: center;
  width: 100%;
  max-width: 200px;
}
